seafile-cli 客户端自动停止运行了


#1

docker环境:
运行一段时间后,cli客户端自动停止,由于没有设置log,暂不清楚是由于什么原因导致
执行以下命令会报错

命令1:
sfuser@27c46f1e4e68:/sf$ seaf-cli list
Traceback (most recent call last):
File “/usr/lib/python3/dist-packages/pysearpc/named_pipe.py”, line 85, in _get_transport
transport = self._pool.get(False)
File “/usr/lib/python3.6/queue.py”, line 161, in get
raise Empty
queue.Empty

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/bin/seaf-cli”, line 983, in
main()
File “/usr/bin/seaf-cli”, line 979, in main
args.func(args)
File “/usr/bin/seaf-cli”, line 384, in seaf_list
repos = seafile_rpc.get_repo_list(-1, -1)
File “/usr/lib/python3/dist-packages/pysearpc/client.py”, line 125, in newfunc
ret_str = self.call_remote_func_sync(fcall_str)
File “/usr/lib/python3/dist-packages/pysearpc/named_pipe.py”, line 97, in call_remote_func_sync
transport = self._get_transport()
File “/usr/lib/python3/dist-packages/pysearpc/named_pipe.py”, line 87, in _get_transport
transport = self._create_transport()
File “/usr/lib/python3/dist-packages/pysearpc/named_pipe.py”, line 80, in _create_transport
transport.connect()
File “/usr/lib/python3/dist-packages/pysearpc/named_pipe.py”, line 44, in connect
self.pipe.connect(self.socket_path)
ConnectionRefusedError: [Errno 111] Connection refused

命令2:
sfuser@27c46f1e4e68:/sf$ seaf-cli status
Traceback (most recent call last):
File “/usr/lib/python3/dist-packages/pysearpc/named_pipe.py”, line 85, in _get_transport
transport = self._pool.get(False)
File “/usr/lib/python3.6/queue.py”, line 161, in get
raise Empty
queue.Empty

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/bin/seaf-cli”, line 983, in
main()
File “/usr/bin/seaf-cli”, line 979, in main
args.func(args)
File “/usr/bin/seaf-cli”, line 748, in seaf_status
tasks = seafile_rpc.get_clone_tasks()
File “/usr/lib/python3/dist-packages/pysearpc/client.py”, line 125, in newfunc
ret_str = self.call_remote_func_sync(fcall_str)
File “/usr/lib/python3/dist-packages/pysearpc/named_pipe.py”, line 97, in call_remote_func_sync
transport = self._get_transport()
File “/usr/lib/python3/dist-packages/pysearpc/named_pipe.py”, line 87, in _get_transport
transport = self._create_transport()
File “/usr/lib/python3/dist-packages/pysearpc/named_pipe.py”, line 80, in _create_transport
transport.connect()
File “/usr/lib/python3/dist-packages/pysearpc/named_pipe.py”, line 44, in connect
self.pipe.connect(self.socket_path)
ConnectionRefusedError: [Errno 111] Connection refused